# {{ ansible_managed }}
<VirtualHost *:80>
        ServerSignature Off
        ServerName {{  name }}

        {% if alias %}

        ServerAlias {{ alias }}
        RewriteEngine On
        RewriteCond %{SERVER_NAME} ={{ alias }}
        RewriteRule ^ http://{{  name }}%{REQUEST_URI} [END,NE,R=permanent]

        {% endif %}

        {% if basicAuth.enabled %}

            {% include './templates/basic_auth.j2' %}

        {% endif %}

        {% if formAuth.enabled %}

            {% include './templates/form_auth.j2' %}

        {% endif %}

        {% include './templates/balancer.j2' %}

</VirtualHost>
